Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026681
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-05-23 14:382014-08-11 09:49
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision415f64b18378
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026681: Some records are not ordered properly in widgets

DescriptionNot all records are ordered properly in some widgets. With a enough quantity of records, when scrolling down, the records are appearing without being sorted (See attached).
Steps To Reproduce1) In an environment with about 150 invoices pending to be collected (Invoices processed and not payed yet), add the "Invoices to Collect" widget to the workspace

2) Maximize it and sort the records using any column. Scroll down, notice that some records are appearing without being sorted
TagsNo tags attached.
Attached Filespng file icon WidgetSortErr.png [^] (52,248 bytes) 2014-05-23 14:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067706)
guillermogil (developer)
2014-06-03 13:51

The query that populates the widget does not take into account the order criteria, it just bring the records (0-75) and order them. the same with the next pages.
(0069027)
shankarb (developer)
2014-08-01 10:15

Fix pushed to try.
(0069053)
hgbot (developer)
2014-08-04 06:15

Repository: erp/devel/pi
Changeset: 4f31d2d162f9f6804f2b3daa508b07e6a0b112ef
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Aug 01 11:48:12 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4f31d2d162f9f6804f2b3daa508b07e6a0b112ef [^]

Fixes issue 26681: Some records are not ordered properly in widgets

orderby clause is done at the query level and not after fetching data.
Sorting works in paginated records.

---
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
---
(0069099)
AugustoMauch (developer)
2014-08-06 14:42

Does not work if the hql query contains an uppercase order by clause.

Steps to reproduce:
- Change the hql query of query/list widget from ... order by ... to ... ORDER BY ...
- Add that widget to the Workspace.
- Maximize its grid. The data is initially shown properly
- Try to order the data by clicking in a column title. An error will appear in the eclipse log and the data will not be loaded.
(0069122)
hgbot (developer)
2014-08-08 11:15

Repository: erp/devel/pi
Changeset: 415f64b18378d3ffbe4e90a23f7184a7e12e51a9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Aug 08 11:14:59 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/415f64b18378d3ffbe4e90a23f7184a7e12e51a9 [^]

Fixes issue 26681: Filtering in Query Widgets supports any letter case

The previous fix was taking from granted that the hql order by clause was going to be lowercase.

It was also handling a case that was never going to happen: a HQL query with a limit clause (hql does not support limit clauses).

---
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
---
(0069123)
AugustoMauch (developer)
2014-08-08 11:17

Test plan:
- Modify the HQL query of the Orders to Collect widget to achieve having more than 100 registers by removing the where clause.
- Test different letter case combinations for the order by clause, at least "order by", "ORDER BY" and "Order By".
(0069254)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069272)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069287)
alostale (developer)
2014-08-11 09:49

code reviewed + tested

- Issue History
Date Modified Username Field Change
2014-05-23 14:38 caristu New Issue
2014-05-23 14:38 caristu Assigned To => AugustoMauch
2014-05-23 14:38 caristu File Added: WidgetSort.png
2014-05-23 14:38 caristu Modules => Core
2014-05-23 14:38 caristu Triggers an Emergency Pack => No
2014-05-23 14:38 caristu File Deleted: WidgetSort.png
2014-05-23 14:39 caristu File Added: WidgetSortErr.png
2014-05-23 14:40 caristu Issue Monitored: networkb
2014-05-23 14:43 caristu Regression date => 2014-08-06
2014-05-23 14:43 caristu version => pi
2014-05-23 14:43 caristu Target Version => PR14Q3
2014-05-23 14:43 caristu Summary Some records are not ordered properly in some widgets => Some records are not ordered properly in widgets
2014-05-26 16:43 jonalegriaesarte Regression date 2014-08-06 =>
2014-06-02 17:10 guillermogil Assigned To AugustoMauch => guillermogil
2014-06-03 13:51 guillermogil Note Added: 0067706
2014-06-03 13:51 guillermogil Assigned To guillermogil => AugustoMauch
2014-06-16 12:48 jonalegriaesarte Target Version PR14Q3 => PR14Q4
2014-07-30 06:29 shankarb Assigned To AugustoMauch => shankarb
2014-08-01 10:15 shankarb Status new => scheduled
2014-08-01 10:15 shankarb Note Added: 0069027
2014-08-01 10:15 shankarb fix_in_branch => pi
2014-08-04 06:14 shankarb Review Assigned To => AugustoMauch
2014-08-04 06:14 shankarb fix_in_branch pi =>
2014-08-04 06:14 shankarb Issue Monitored: AugustoMauch
2014-08-04 06:15 hgbot Checkin
2014-08-04 06:15 hgbot Note Added: 0069053
2014-08-04 06:15 hgbot Status scheduled => resolved
2014-08-04 06:15 hgbot Resolution open => fixed
2014-08-04 06:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4f31d2d162f9f6804f2b3daa508b07e6a0b112ef [^]
2014-08-06 14:42 AugustoMauch Note Added: 0069099
2014-08-06 14:42 AugustoMauch Status resolved => new
2014-08-06 14:42 AugustoMauch Resolution fixed => open
2014-08-08 11:09 AugustoMauch Issue End Monitor: AugustoMauch
2014-08-08 11:09 AugustoMauch Issue Monitored: alostale
2014-08-08 11:10 AugustoMauch Review Assigned To AugustoMauch => alostale
2014-08-08 11:15 hgbot Checkin
2014-08-08 11:15 hgbot Note Added: 0069122
2014-08-08 11:15 hgbot Status new => resolved
2014-08-08 11:15 hgbot Resolution open => fixed
2014-08-08 11:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4f31d2d162f9f6804f2b3daa508b07e6a0b112ef [^] => http://code.openbravo.com/erp/devel/pi/rev/415f64b18378d3ffbe4e90a23f7184a7e12e51a9 [^]
2014-08-08 11:17 AugustoMauch Note Added: 0069123
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069254
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069272
2014-08-11 09:49 alostale Note Added: 0069287
2014-08-11 09:49 alostale Status resolved => closed
2014-08-11 09:49 alostale Fixed in Version => 3.0PR14Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker